camera = {}
camera.x = 0
camera.y = 0
camera.scaleX = 0.35--0.3
camera.scaleY = 0.35 --0.3
camera.rotation = 0

function camera:set()
  love.graphics.push()
  love.graphics.rotate(-self.rotation)
  love.graphics.scale(1 / self.scaleX, 1 / self.scaleY)
  love.graphics.translate(-self.x, -self.y)
end

function camera:unset()
  love.graphics.pop()
end

function camera:move(dx, dy)
  self.x = self.x + (dx or 0)
  self.y = self.y + (dy or 0)
end

function camera:rotate(dr)
  self.rotation = self.rotation + dr
end

function camera:scale(sx, sy)
  sx = sx or 1
  self.scaleX = self.scaleX * sx
  self.scaleY = self.scaleY * (sy or sx)
end

function camera:setPosition(x, y)
  self.x = x or self.x
  self.y = y or self.y
end

function camera:setScale(sx, sy)
  self.scaleX = sx or self.scaleX
  self.scaleY = sy or self.scaleY
end
camera.width = love.graphics.getWidth() / 3.3


function camera:on(dt)
 
 
    if player.x + 16 > (love.graphics.getWidth() / 2) * camera.scaleX then
      camera.x = player.x + 16 - (love.graphics.getWidth() / 2) * camera.scaleX
    end
    if player.y >  (love.graphics.getHeight() / 0.5) * camera.scaleY then
      camera.y = (player.y - (love.graphics.getHeight() / 1.5) * camera.scaleY) + player.height
    end
 
end
camera.xvel = 0
camera.yvel = 0
function camera:changescale(dt)


end
camera.xvel = 0
camera.yvel = 0
function camera:shake(dt)
  camera.x = camera.x + camera.xvel
  camera.y = camera.y + camera.yvel


  

end


