

enemy = {}

function enemy.spawn(x,y,health,id)
	table.insert(enemy, {id = id,x = x,health = health, y = y,knockback = 50,damage = 0,hitable = true,hitimer = 0,yvel = 0, direction = "right",speed = 50,width = 16,height = 16})
end
function enemy.draw()
	for i,v in ipairs(enemy) do
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end
function enemy.update(dt)
	for i,v in ipairs(enemy) do


		if v.health < 1 then
			table.remove(enemy, i)
		end

		--seting vars--
		if v.id == "default" then
			v.damage = 1
			v.knockback = 125
		end








		if v.direction == "right" then
			v.x = v.x + v.speed * dt
		end
		if v.direction == "left" then
			v.x = v.x - v.speed * dt
		end
		v.y = v.y + v.yvel * dt
		v.yvel = v.yvel + gravity * dt
		for i,va in ipairs(solid) do
		if v.x + v.width > va.x and
		v.x + (v.width / 2) < va.x + (va.width / 2) and
		v.y + v.height > va.y + extra and
		v.y + extra < va.y + va.height then
			v.direction = "left"
			v.x = va.x - v.width
			v.xvael = 0
		end
		if v.y + v.height > va.y and
		v.y + (v.height / 2) < va.y + (va.height / 2) and
		v.x + v.width > va.x + extra and
		v.x + extra < va.x + va.width then
			v.y = va.y - v.height
			v.yvel = 0
			v.grounded = true
		end
		if v.x < va.x + va.width and
		v.x + (v.width / 2) > va.x + (va.width / 2) and
		v.y + v.height > va.y + extra and
		v.y + extra < va.y + va.height then
			v.direction = "right"
			v.x = va.x + va.width
			v.xvael = 0
		end
		if v.y < va.y + va.height and
		v.y + (v.height / 2) > va.y + (va.height / 2) and
		v.x + v.width > va.x + extra and
		v.x + extra < va.x + va.width then
			v.yvael = 0
			v.y = va.y + va.height	
		end
		end
		if v.x + v.width > player.x and
		v.x < player.x + player.width and
		v.y + v.height > player.y and
		v.y < player.y + player.height then
			if v.hitable == true then
				player.health = player.health - v.damage
				if player.x + (player.width / 2) < v.x + (v.width / 2) then
					player.xvel = -v.knockback
					player.yvel = -v.knockback / 2
				end
				if player.x + (player.width / 2) > v.x + (v.width / 2) then
					player.xvel = v.knockback
					player.yvel = -v.knockback / 2
				end
				v.hitable = false
			end
		end	
		if v.hitable == false then
			v.hitimer = v.hitimer + dt
			if v.hitimer > 0.3 then
				v.hitimer = 0
				v.hitable = true
			end
		end
		for ia,va in ipairs(bullet) do
			if va.x + va.width > v.x and
			va.x < v.x + v.width and
			va.y + va.height > v.y and
			va.y < v.y + v.height then
				if va.x < v.x + v.width / 2 then
					v.x = v.x + va.knockback
				end
				if va.x < v.x + v.width / 2 then
					v.x = v.x - va.knockback
				end
				v.health = v.health - va.damage
				table.remove(bullet, i)
			end
		end
	end
end





