
exploderadius = 32
bullet = {}
function bullet.spawn(x,y,direction)
	table.insert(bullet, {x = x ,damage = player.damage,knockback = player.knockback, y = y, direction = direction,speed = 500,width = 1,height = 0.8})
end
function bullet.draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle("fill",v.x,v.y,v.width,v.height)
	end
end
function bullet.move(dt)
	for i,v in ipairs(bullet) do
		if v.x > player.x + love.graphics.getWidth() * 0.35 / 2 + 16 then
			table.remove(bullet, i)
		end
		if v.x < player.x - love.graphics.getWidth() * 0.35 / 2 then
			table.remove(bullet, i)
		end
		if v.direction == "right" then
			v.x = v.x + v.speed * dt
		end
		if v.direction == "left" then
			v.x = v.x - v.speed * dt
		end
		if v.direction == "up" then
			v.y = v.y - v.speed * dt
		end
		if v.direction == "down" then
			v.y = v.y + v.speed * dt
		end
		if v.direction == "upright" then
			v.y = v.y - v.speed / 2
			v.x = v.x + v.speed / 2
		end
		if v.direction == "upleft" then
			v.y = v.y - v.speed / 2
			v.x = v.x - v.speed / 2
		end
		if v.direction == "downright" then
			v.y = v.y + v.speed / 2
			v.x = v.x + v.speed / 2
		end
		if v.direction == "downleft" then
			v.y = v.y + v.speed / 2
			v.x = v.x - v.speed / 2
		end

	end
end
shootable = true

shootlim = 0.2

shootim = 0
function player.shoot(dt)
	if shootable == true and
	love.keyboard.isDown('right') then
		bullet.spawn(player.x + player.width,player.y + (player.height / 2),"right")
		shootable = false
	end
	if shootable == true and
	love.keyboard.isDown('left') then
		bullet.spawn(player.x,player.y + (player.height / 2),"left")
		shootable = false
	end
	if shootable == true and
	love.keyboard.isDown('up') then
		bullet.spawn(player.x + (player.width / 2),player.y,"up")
		shootable = false
	end
	if shootable == true and
	love.keyboard.isDown('down') then
		bullet.spawn(player.x + (player.width / 2),player.y + player.height,"down")
		shootable = false
	end
	if shootable == false then
		shootim = shootim + dt
		if shootim > shootlim then
			shootable = true
			shootim = 0
		end
	end
	for i,v in ipairs(bullet) do
	for ia,va in ipairs(solid) do
		if v.x + v.width > va.x and
		v.x < va.x + va.width and
		v.y + v.height > va.y and
		v.y < va.y + va.height then
			table.remove(bullet, i)
			if va.pic == tiles[3] then
				place_effect(v.x,v.y,0,va.pic)
				table.remove(solid, ia)
			end
		end
	end
	end
end




