


extra = 2
player = {}
function player.load()
	player.x = 20
	player.y = 5
	player.xvel = 0
	player.yvel = 0
	player.friction = 7.0

	player.health = 10
	player.damage = 1.5
	player.knockback = 16

	player.width = 16
	player.height = 16

	player.speed = 1200

	player.grounded = true
end
function player.draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle('fill',player.x,player.y,player.width,player.height)
end
function player.update(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.yvel = player.yvel + gravity * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))

	if love.keyboard.isDown('d') and
	player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end
	if love.keyboard.isDown('a') and
	player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	for i,v in ipairs(solid) do
		if player.x + player.width > v.x and
		player.x + (player.width / 2) < v.x + (v.width / 2) and
		player.y + player.height > v.y + extra and
		player.y + extra < v.y + v.height then
			player.x = v.x - player.width
			player.xvel = 0
		end
		if player.y + player.height > v.y and
		player.y + (player.height / 2) < v.y + (v.height / 2) and
		player.x + player.width > v.x + extra and
		player.x + extra < v.x + v.width then
			player.y = v.y - player.height
			player.yvel = 0
			player.grounded = true
		end
		if player.x < v.x + v.width and
		player.x + (player.width / 2) > v.x + (v.width / 2) and
		player.y + player.height > v.y + extra and
		player.y + extra < v.y + v.height then
			player.x = v.x + v.width
			player.xvel = 0
		end
		if player.y < v.y + v.height and
		player.y + (player.height / 2) > v.y + (v.height / 2) and
		player.x + player.width > v.x + extra and
		player.x + extra < v.x + v.width then
			player.yvel = 0
			player.y = v.y + v.height	
		end

	end
end
function player.jump(key)
	if player.grounded == true then
		if key == "w" then
			player.yvel = -175
			player.grounded = false
		end
	end
end






